@ECHO OFF

REM DOS batch file to install IMS S7908A_A onto a PC
REM Copyright (C) INMOS Ltd, 1991

ECHO.
ECHO *************************************
ECHO *  INMOS IMS S7908A_A INSTALLATION  *
ECHO *   Copyright (C) INMOS Ltd 1994    *
ECHO *************************************

REM %1 = source, %2 = destination

REM Check that the drives have been specified
IF "%1" == "" GOTO ERROR1
IF "%2" == "" GOTO ERROR2

REM Check the user wants to continue
ECHO.
ECHO Installing IMS S7908A_A from drive %1 to %2:\S7908A_A
ECHO.
PAUSE Press any key to continue with the installation 

REM Create the distribution tree
MKDIR %2:\S7908A_A
MKDIR %2:\S7908A_A\BIN
MKDIR %2:\S7908A_A\EXAMPLES
MKDIR %2:\S7908A_A\SOURCE

REM Copy the Release to the destination
COPY %1:\S7908A_A\BIN\*.*      %2:\S7908A_A\BIN
COPY %1:\S7908A_A\EXAMPLES\*.* %2:\S7908A_A\EXAMPLES
COPY %1:\S7908A_A\SOURCE\*.*   %2:\S7908A_A\SOURCE
COPY %1:\S7908A_A\README.TXT   %2:\S7908A_A

REM Installation done
ECHO.
ECHO Installation of IMS S7908A_A to %2:\S7908A_A complete
GOTO END

:ERROR1
:ERROR2
ECHO.
ECHO You must specify the drive letters for the installation.
ECHO First drive letter must be the drive in which the installation disk
ECHO is inserted and the second must be the drive on which the IMS S7908A_A
ECHO is to be installed.

REM Exit
:END
ECHO ON
